Line (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.geo, class: Line

Package org.apache.lucene.geo

# Class Line

java.lang.Object
org.apache.lucene.geo.Geometry
org.apache.lucene.geo.LatLonGeometry
org.apache.lucene.geo.Line

public class Line extends LatLonGeometry
Represents a line on the earth's surface. You can construct the Line directly with `double[]` coordinates.

NOTES:

1. All latitude/longitude values must be in decimal degrees.
2. For more advanced GeoSpatial indexing and query operations see the `spatial-extras` module

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final double`
  `maxLat`
  maximum latitude of this line's bounding box
  `final double`
  `maxLon`
  maximum longitude of this line's bounding box
  `final double`
  `minLat`
  minimum latitude of this line's bounding box
  `final double`
  `minLon`
  minimum longitude of this line's bounding box

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Line(double[] lats, double[] lons)`
  Creates a new Line from the supplied latitude/longitude array.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `double`
  `getLat(int vertex)`
  Returns latitude value at given index
  `double[]`
  `getLats()`
  Returns a copy of the internal latitude array
  `double`
  `getLon(int vertex)`
  Returns longitude value at given index
  `double[]`
  `getLons()`
  Returns a copy of the internal longitude array
  `int`
  `hashCode()`
  `int`
  `numPoints()`
  returns the number of vertex points
  `protected Component2D`
  `toComponent2D()`
  get a Component2D from the geometry object
  `String`
  `toGeoJSON()`
  prints lines as geojson
  `String`
  `toString()`

  ### Methods inherited from class org.apache.lucene.geo.LatLonGeometry

  `create`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### minLat

    public final double minLat
    minimum latitude of this line's bounding box

  - ### maxLat

    public final double maxLat
    maximum latitude of this line's bounding box

  - ### minLon

    public final double minLon
    minimum longitude of this line's bounding box

  - ### maxLon

    public final double maxLon
    maximum longitude of this line's bounding box

- ## Constructor Details

  - ### Line

    public Line(double[] lats, double[] lons)
    Creates a new Line from the supplied latitude/longitude array.

- ## Method Details

  - ### numPoints

    public int numPoints()
    returns the number of vertex points

  - ### getLat

    public double getLat(int vertex)
    Returns latitude value at given index

  - ### getLon

    public double getLon(int vertex)
    Returns longitude value at given index

  - ### getLats

    public double[] getLats()
    Returns a copy of the internal latitude array

  - ### getLons

    public double[] getLons()
    Returns a copy of the internal longitude array

  - ### toComponent2D

    protected Component2D toComponent2D()
    Description copied from class: `Geometry`
    get a Component2D from the geometry object
    Specified by:
      `toComponent2D` in class `Geometry`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toGeoJSON

    public String toGeoJSON()
    prints lines as geojson